/*
 * $Id: top_deallocation.cpp 113 2009-04-14 18:39:12Z rosiere $
 *
 * [ Description ]
 * 
 * Test
 */

#include "Behavioural/Generic/Counter/SelfTest/include/top.h"
#include "Behavioural/include/Allocation.h"

void top::deallocation (void)
{
  cout << "<" << name << "> : Destruction of component" << endl;

#ifdef SYSTEMC
  delete             in_CLOCK;
  DELETE0_SC_SIGNAL( in_NRESET);
  DELETE1_SC_SIGNAL( in_COUNTER_DATA  ,param->_nb_port);
  DELETE1_SC_SIGNAL( in_COUNTER_ADDSUB,param->_nb_port);
  DELETE1_SC_SIGNAL(out_COUNTER_DATA  ,param->_nb_port);
#endif

  delete component;
#ifdef STATISTICS
  delete param_stat;
#endif
}
